get company
1 min
POST
https://api.upstartcommerce.com/v1/tax/companies
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyobjectDescription
- userNamestringrequiredDescriptionMin Length1
- passwordstringrequiredDescriptionMin Length1
- environmentstring<Sandbox | Production>requiredDescriptionAllowedSandboxProductionMin Length1
Responses
200
- object[]Min Items1Unique Itemsyes
- idnumberDescription
- accountIdnumberDescription
- companyCodestringDescriptionMin Length1
- namestringDescriptionMin Length1
- isDefaultbooleanDescription
- isActivebooleanDescription
- taxpayerIdNumberstringDescriptionMin Length1
- hasProfilebooleanDescription
- isReportingEntitybooleanDescription
- defaultCountrystringDescriptionMin Length1
- baseCurrencyCodestringDescriptionMin Length1
- roundingLevelIdstringDescriptionMin Length1
- warningsEnabledbooleanDescription
- isTestbooleanDescription
- taxDependencyLevelIdstringDescriptionMin Length1
- inProgressbooleanDescription
- createdDatenumberDescription
- createdUserIdnumberDescription
- modifiedDatenumberDescription
- modifiedUserIdnumberDescription
400
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
401
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
404
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/tax/companies \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"userName": "",
"password": "",
"environment": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"userName": "",
"password": "",
"environment": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/tax/companies", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/tax/companies")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"userName": "",
"password": "",
"environment": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/tax/companies"
payload = json.dumps({
"userName": "",
"password": "",
"environment": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success-found the company.
[
{
"id": 0,
"accountId": 0,
"companyCode": "",
"name": "",
"isDefault": false,
"isActive": false,
"taxpayerIdNumber": "",
"hasProfile": false,
"isReportingEntity": false,
"defaultCountry": "",
"baseCurrencyCode": "",
"roundingLevelId": "",
"warningsEnabled": false,
"isTest": false,
"taxDependencyLevelId": "",
"inProgress": false,
"createdDate": 0,
"createdUserId": 0,
"modifiedDate": 0,
"modifiedUserId": 0
}
]GENERATED
// Success-found the company.
[
{
"id": 0,
"accountId": 0,
"companyCode": "",
"name": "",
"isDefault": false,
"isActive": false,
"taxpayerIdNumber": "",
"hasProfile": false,
"isReportingEntity": false,
"defaultCountry": "",
"baseCurrencyCode": "",
"roundingLevelId": "",
"warningsEnabled": false,
"isTest": false,
"taxDependencyLevelId": "",
"inProgress": false,
"createdDate": 0,
"createdUserId": 0,
"modifiedDate": 0,
"modifiedUserId": 0
}
]example-1
[
{
"id": 0,
"accountId": 0,
"companyCode": "string",
"name": "string",
"isDefault": true,
"isActive": true,
"taxpayerIdNumber": "string",
"hasProfile": true,
"isReportingEntity": true,
"defaultCountry": "string",
"baseCurrencyCode": "string",
"roundingLevelId": "string",
"warningsEnabled": true,
"isTest": true,
"taxDependencyLevelId": "string",
"inProgress": true,
"createdDate": 0,
"createdUserId": 0,
"modifiedDate": 0,
"modifiedUserId": 0
}
]400
// Bad Request-the request contained data that could not be processed.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}401
// Unauthorized-the provided credentials were invalid for this endpoint.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}404
// Not Found-the requested resource was not found in the NoChannel system.